Bug 1462155 - [python-netifaces] Incompatible change in netmask representation of IPv6 address
[python-netifaces] Incompatible change in netmask representation of IPv6 address
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bašti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 06:38 EDT by Martin Bašti
Modified: 2017-07-13 10:50 EDT (History)
12 users (show)

See Also:
Fixed In Version: freeipa-4.4.4-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 10:50:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Parch for ipa-4-4 (1.52 KB, patch)
2017-06-16 07:51 EDT, Martin Bašti
mbabinsk: review+
Details | Diff

  None (edit)
Description Martin Bašti 2017-06-16 06:38:40 EDT
Description of problem:

New version of python netifaces shows netmask in different format for IPv6

output from `netifaces.ifaddresses(INTF)`

python-netifaces-0.10.4-5.fc25.x86_64
{'addr': '2620:52:0:xxxx:xxxx:xxxx:xxxx:2c62',
       'netmask': 'ffff:ffff:ffff:ffff::'},


python2-netifaces-0.10.5-5.fc26.x86_64
{'addr': '2620:52:0:xxxx:xxxx:xxxx:xxxx:169a',
   'netmask': 'ffff:ffff:ffff:ffff::/64'},  <---- see extra "/64" in netmask

FreeIPA installation is failing due this in F26 https://pagure.io/freeipa/issue/7021

Version-Release number of selected component (if applicable):
python2-netifaces-0.10.5-5.fc26.x86_64


How reproducible:
Always

Steps to Reproduce:
See above

Actual results:
Got extra suffix "/64" in netmask

Expected results:
No "/64" suffix in netmask

Additional info:
Prefix could be stored under separate "prefix" key in result dict.
Comment 2 Martin Bašti 2017-06-16 07:35:02 EDT
This was closed as a planned change upstream. We have to fix this in FreeIPA then.
Comment 3 Martin Bašti 2017-06-16 07:51 EDT
Created attachment 1288335 [details]
Parch for ipa-4-4
Comment 5 Martin Babinsky 2017-06-22 10:12:23 EDT
ACK.
Comment 6 Fedora Update System 2017-06-29 05:25:49 EDT
freeipa-4.4.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1dabaf8ee1
Comment 7 Fedora Update System 2017-06-29 12:54:10 EDT
freeipa-4.4.4-4.fc26 softhsm-2.2.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12359c53e8
Comment 8 Fedora Update System 2017-06-29 12:54:34 EDT
freeipa-4.4.4-4.fc26 softhsm-2.2.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12359c53e8
Comment 9 Fedora Update System 2017-06-30 16:25:06 EDT
freeipa-4.4.4-4.fc26, softhsm-2.2.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-12359c53e8
Comment 10 Fedora Update System 2017-07-13 10:50:32 EDT
freeipa-4.4.4-4.fc26, softhsm-2.2.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.